package com.tsi.sig.server.objects;

public class CvibNodeVO {
    private long nodeid;
    private String name;
    private double lat;
    private double lng;
    private String addr1;
    private String addr2;
    private String addr3;
    private String ipaddr;
    private int nodetype;
    private String regionid;

    public CvibNodeVO() {
    }

    public void setNodeid(long nodeid) {
        this.nodeid = nodeid;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    public void setLng(double lng) {
        this.lng = lng;
    }

    public void setAddr1(String addr1) {
        this.addr1 = addr1;
    }

    public void setAddr2(String addr2) {
        this.addr2 = addr2;
    }

    public void setAddr3(String addr3) {
        this.addr3 = addr3;
    }

    public void setIpaddr(String ipaddr) {
        this.ipaddr = ipaddr;
    }

    public void setNodetype(int nodetype) {
        this.nodetype = nodetype;
    }

    public void setRegionid(String regionid) {
        this.regionid = regionid;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof CvibNodeVO)) {
            return false;
        } else {
            CvibNodeVO other = (CvibNodeVO)o;
            if (!other.canEqual(this)) {
                return false;
            } else if (this.getNodeid() != other.getNodeid()) {
                return false;
            } else if (Double.compare(this.getLat(), other.getLat()) != 0) {
                return false;
            } else if (Double.compare(this.getLng(), other.getLng()) != 0) {
                return false;
            } else if (this.getNodetype() != other.getNodetype()) {
                return false;
            } else {
                Object this$name = this.getName();
                Object other$name = other.getName();
                if (this$name == null) {
                    if (other$name != null) {
                        return false;
                    }
                } else if (!this$name.equals(other$name)) {
                    return false;
                }

                label88: {
                    Object this$addr1 = this.getAddr1();
                    Object other$addr1 = other.getAddr1();
                    if (this$addr1 == null) {
                        if (other$addr1 == null) {
                            break label88;
                        }
                    } else if (this$addr1.equals(other$addr1)) {
                        break label88;
                    }

                    return false;
                }

                label81: {
                    Object this$addr2 = this.getAddr2();
                    Object other$addr2 = other.getAddr2();
                    if (this$addr2 == null) {
                        if (other$addr2 == null) {
                            break label81;
                        }
                    } else if (this$addr2.equals(other$addr2)) {
                        break label81;
                    }

                    return false;
                }

                Object this$addr3 = this.getAddr3();
                Object other$addr3 = other.getAddr3();
                if (this$addr3 == null) {
                    if (other$addr3 != null) {
                        return false;
                    }
                } else if (!this$addr3.equals(other$addr3)) {
                    return false;
                }

                Object this$ipaddr = this.getIpaddr();
                Object other$ipaddr = other.getIpaddr();
                if (this$ipaddr == null) {
                    if (other$ipaddr != null) {
                        return false;
                    }
                } else if (!this$ipaddr.equals(other$ipaddr)) {
                    return false;
                }

                boolean var10000;
                label134: {
                    Object this$regionid = this.getRegionid();
                    Object other$regionid = other.getRegionid();
                    if (this$regionid == null) {
                        if (other$regionid == null) {
                            break label134;
                        }
                    } else if (this$regionid.equals(other$regionid)) {
                        break label134;
                    }

                    var10000 = false;
                    return var10000;
                }

                var10000 = true;
                return var10000;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof CvibNodeVO;
    }

    public int hashCode() {
        int result = 1;
        long $nodeid = this.getNodeid();
        result = result * 59 + (int)($nodeid >>> 32 ^ $nodeid);
        long $lat = Double.doubleToLongBits(this.getLat());
        result = result * 59 + (int)($lat >>> 32 ^ $lat);
        long $lng = Double.doubleToLongBits(this.getLng());
        result = result * 59 + (int)($lng >>> 32 ^ $lng);
        result = result * 59 + this.getNodetype();
        Object $name = this.getName();
        result = result * 59 + ($name == null ? 43 : $name.hashCode());
        Object $addr1 = this.getAddr1();
        result = result * 59 + ($addr1 == null ? 43 : $addr1.hashCode());
        Object $addr2 = this.getAddr2();
        result = result * 59 + ($addr2 == null ? 43 : $addr2.hashCode());
        Object $addr3 = this.getAddr3();
        result = result * 59 + ($addr3 == null ? 43 : $addr3.hashCode());
        Object $ipaddr = this.getIpaddr();
        result = result * 59 + ($ipaddr == null ? 43 : $ipaddr.hashCode());
        Object $regionid = this.getRegionid();
        return result * 59 + ($regionid == null ? 43 : $regionid.hashCode());
    }

    public String toString() {
        return "CvibNodeVO(nodeid=" + this.getNodeid() + ", name=" + this.getName() + ", lat=" + this.getLat() + ", lng=" + this.getLng() + ", addr1=" + this.getAddr1() + ", addr2=" + this.getAddr2() + ", addr3=" + this.getAddr3() + ", ipaddr=" + this.getIpaddr() + ", nodetype=" + this.getNodetype() + ", regionid=" + this.getRegionid() + ")";
    }

    public long getNodeid() {
        return this.nodeid;
    }

    public String getName() {
        return this.name;
    }

    public double getLat() {
        return this.lat;
    }

    public double getLng() {
        return this.lng;
    }

    public String getAddr1() {
        return this.addr1;
    }

    public String getAddr2() {
        return this.addr2;
    }

    public String getAddr3() {
        return this.addr3;
    }

    public String getIpaddr() {
        return this.ipaddr;
    }

    public int getNodetype() {
        return this.nodetype;
    }

    public String getRegionid() {
        return this.regionid;
    }
}
